Subject: bug#1286: comment-dwim on a comment line does not toggle comment

From: Xavier Maillard <[email-masked]>
Date: Mon, 3 Nov 2008 12:25:08 +0100

this appears to be like a bug.

   in emacs-lisp-mode, if you have a comment like this:

   ;; This is a comment

   and your cursor is somewhere on that line. Now, do comment-dwim, it  
   doesn't uncomment the line. It just moves the cursor to the  T   
   in  This .

   Same behavior in cperl mode and probably all others.

   I think this might be by design, but it seems counter-intuitive.

I am sure you read it but just in case:

comment-dwim is an interactive autoloaded Lisp function in
`newcomment.el'.

It is bound to M-;.

(comment-dwim ARG)

Call the comment command you want (Do What I Mean).
If the region is active and `transient-mark-mode' is on, call
  `comment-region' (unless it only consists of comments, in which
  case it calls `uncomment-region').
Else, if the current line is empty, call `comment-insert-comment-function'
if it is defined, otherwise insert a comment and indent it.
Else if a prefix ARG is specified, call `comment-kill'.
Else, call `comment-indent'.
You can configure `comment-style' to change the way regions are commented.

For my point of view, this is well defined here and it behaves
just as described.

	Xavier
-- 
http://www.gnu.org
http://www.april.org
http://www.lolica.org